#!/bin/bash
# filename: reader.sh
# 逐行读取管道中的内容

name="nfs-filesave --home $HOME"
echo $name >> $HOME/nemo.log

while true
do
	count=`ps -ef | grep "$name" | grep -v "grep " | wc -l`
	if [[ $count != 0 ]]; then
		echo "process running" >>$HOME/nemo.log
		sleep 5
		break
	else
		sleep 1
	fi
	sleep 1
#	echo "continue"
done

pipe=/usr/share/nfs-filesave/nfs-filesave-pipe
#echo $pipe >> $HOME/nemo.log

#trap "rm -f $pipe" EXIT

#if [[ ! -p $pipe ]]; then
#    mkfifo "$pipe"
#fi

while true
do
	if [[ ! -p $pipe ]]; then
    	sleep 2
	fi
	
	count=`ps -ef | grep "$name" | grep -v "grep " | wc -l`
	if [[ $count == 0 ]]; then
		break
	fi
	
    if read line <$pipe; then
#	echo $line >> $HOME/nemo.log
        if [[ "$line" == 'quit' ]]; then
            break
       	else
 #           echo $line >> $HOME/nemo.log
            xdg-open "$line" > /dev/null 2>&1
		fi
    fi
    sleep 0.3
done

echo "Stop reader...."
